%define url ftp://sourceware.cygnus.com/pub/glibc/releases
%define kernel24 0

Summary:	The GNU libc librairies
Name:		glibc
Version:	2.2.2
Release:	8.2mdk
Epoch:		6
License:	LGPL
Group:		System/Libraries

# Source0:	%{url}/%{name}-%{version}.tar.bz2
# Source1:	%{url}/%{name}-linuxthreads-%{version}.tar.bz2
# Red Hat tarball
Source0:	%{name}-%{version}.tar.bz2
Source2:	glibc-manpages.tar.bz2
Source3:	nsswitch.conf

Buildroot:	%{_tmppath}/glibc-%{PACKAGE_VERSION}-root
Obsoletes:	zoneinfo, libc-static, libc-devel, libc-profile, libc-headers,
Obsoletes: 	linuxthreads, gencat, locale, glibc-localedata
Provides:	glibc-localedata
Autoreq:	false
BuildRequires:	patch, gettext
PreReq:         sash >= 3.4-6mdk /bin/sh
%ifnarch ppc
BuildRequires:	gcc >= 2.96
%else
BuildRequires:	gcc = 2.95.3
%endif
%ifarch alpha
Provides:	ld.so.2
%endif
%ifarch sparc
Obsoletes:	libc
%endif

# RH patch merge
Patch1:		glibc-2.2.2-fhs.patch.bz2
Patch2:		glibc-2.1.92-ldd-non-exec.patch.bz2
# (pablo) adds support for various supplementary charsets for iconv
Patch3:		glibc-2.2-new_charsets.patch.bz2
Patch6:		glibc-2.1.92-pthread_create-manpage.patch.bz2
Patch7:		glibc-2.1.95-string2-pointer-arith.patch.bz2
Patch8:		glibc-2.2-nss-upgrade.patch.bz2
Patch9:		glibc-2.2-exit-during-install.patch.bz2
Patch10:	glibc-2.2-share-locale.patch.bz2
Patch11:	glibc-2.1.3-glob.patch.bz2
Patch12:	glibc-2.1.3-security2.patch.bz2
Patch13:	glibc-2.1.3-xdr_array.patch.bz2
Patch14:	glibc-2.2.2-xdrmem.patch.bz2
Patch100:	glibc-2.2-kernel-2.4.0-compat.patch.bz2

Obsoletes:	ld.so
Provides:	ld.so

%ifarch ia64 sparc64 s390x
Conflicts: kernel < 2.4.0
%define enablekernel 2.4.0
%else
%define enablekernel 2.2.5
%endif
%define enablekernel2 2.4.1

%description
The glibc package contains standard libraries which are used by
multiple programs on the system. In order to save disk space and
memory, as well as to make upgrading easier, common system code is
kept in one place and shared between programs. This particular package
contains the most important sets of shared libraries: the standard C
library and the standard math library. Without these two libraries, a
Linux system will not function.  The glibc package also contains
national language (locale) support and timezone databases.

%package -n ldconfig
Summary:	Creates a shared library cache and maintains symlinks for ld.so
Group:		System/Base

%description -n ldconfig
Ldconfig is a basic system program which determines run-time link
bindings between ld.so and shared libraries. Ldconfig scans a running
system and sets up the symbolic links that are used to load shared
libraries properly. It also creates a cache (/etc/ld.so.cache) which
speeds the loading of programs which use shared libraries.

%package devel
Summary:	Header and object files for development using standard C libraries
Group:		Development/C
Conflicts:	texinfo < 3.11
Prereq:		/sbin/install-info
Obsoletes:	libc-debug, libc-headers, libc-devel, linuxthreads-devel
Obsoletes:	glibc-debug
Prereq:		kernel-headers
Requires:	kernel-headers >= 2.2.1
Requires:	%{name} = %{version}-%{release}
Autoreq:	true

%description devel
The glibc-devel package contains the header and object files necessary
for developing programs which use the standard C libraries (which are
used by nearly all programs).  If you are developing programs which
will use the standard C libraries, your system needs to have these
standard header and object files available in order to create the
executables.

Install glibc-devel if you are going to develop programs which will
use the standard C libraries.

%package profile
Summary:	The GNU libc libraries, including support for gprof profiling
Group:		Development/C
Obsoletes:	libc-profile
Autoreq:	true

%description profile
The glibc-profile package includes the GNU libc libraries and support
for profiling using the gprof program.  Profiling is analyzing a
program's functions to see how much CPU time they use and determining
which functions are calling other functions during execution.  To use
gprof to profile a program, your program needs to use the GNU libc
libraries included in glibc-profile (instead of the standard GNU libc
libraries included in the glibc package).

If you are going to use the gprof program to profile a program, you'll
need to install the glibc-profile program.

%package -n nscd
Summary:	A Name Service Caching Daemon (nscd)
Group:		System/Servers
Conflicts:	kernel < 2.2.0
Prereq:		/sbin/chkconfig
Autoreq:	true

%description -n nscd
Nscd caches name service lookups and can dramatically improve
performance with NIS+, and may help with DNS as well. Note that you
can't use nscd with 2.0 kernels because of bugs in the kernel-side
thread support. Unfortunately, nscd happens to hit these bugs
particularly hard.

Install nscd if you need a name service lookup caching daemon, and
you're not using a version 2.0 kernel.

%prep

#%setup -q -a 1 -a 2
%setup -q -a 2
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch6 -p1
%patch7 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1 -b .glob
%patch12 -p1 -b .security
%patch13 -p1 -b .xdr
%patch14 -p1 -b .xdrmem

%ifarch ia64 sparc64 s390x
# If we are building enablekernel 2.4.1 glibc on older kernel,
# we have to make sure no binaries compiled against that glibc
# are ever run
case `uname -r` in
[01].*|2.[0-3]*|2.4.0*)
;; esac
%endif

%ifarch armv4l
rm -rf glibc-compat
%endif
find . -type f -size 0 -o -name "*.orig" -exec rm -f {} \;

%build
rm -rf build-%{_target_cpu}-linux
mkdir build-%{_target_cpu}-linux ; cd build-%{_target_cpu}-linux
GCC=gcc
%ifarch %{ix86}
BuildFlags="-march=%{_target_cpu} -D__USE_STRING_INLINES -fstrict-aliasing"
%endif
%ifarch alphaev6
BuildFlags="-mcpu=ev6"
%endif
%ifarch sparc
BuildFlags="-fcall-used-g7"
GCC="gcc -m32"
%endif
%ifarch sparcv9
BuildFlags="-mcpu=ultrasparc -fcall-used-g7"
GCC="gcc -m32"
%endif
%ifarch sparc64
BuildFlags="-mcpu=ultrasparc -mvis -fcall-used-g7"
GCC="gcc -m64"
%endif
# Temporarily don't do this on ia64 and s390
%ifnarch ia64 s390 s390x
BuildFlags="$BuildFlags -freorder-blocks"
%endif
BuildFlags="$BuildFlags -DNDEBUG=1"
EnableKernel="--enable-kernel=%{enablekernel}"
%ifarch %{auxarches}
EnableKernel="$EnableKernel --disable-profile"
%endif
echo $BuildFlags
echo "$BuildFlags" > ../BuildFlags
CC="$GCC" CFLAGS="$BuildFlags -g -O3" ../configure --prefix=%{_prefix} \
	--enable-add-ons=yes --without-cvs $EnableKernel \
	%{_target_cpu}-redhat-linux
if [ -x /usr/bin/getconf ] ; then
  numprocs=$(/usr/bin/getconf _NPROCESSORS_ONLN)
  if [ $numprocs -eq 0 ]; then
    numprocs=1
  fi
else
  numprocs=1
fi
make -j$numprocs -r CFLAGS="$BuildFlags -g -O3" PARALLELMFLAGS=-s
gcc -static -Os ../redhat/glibc_post_upgrade.c -o glibc_post_upgrade

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install_root=$RPM_BUILD_ROOT install -C build-%{_target_cpu}-linux
cd build-%{_target_cpu}-linux && \
    make install_root=$RPM_BUILD_ROOT install-locales -C ../localedata objdir=`pwd` && \
    cd ..
	sh manpages/Script.sh

%ifarch i686
rm -rf build-%{_target_cpu}-linux2.4
mkdir build-%{_target_cpu}-linux2.4 ; cd build-%{_target_cpu}-linux2.4
GCC=gcc
BuildFlags=`cat ../BuildFlags`
EnableKernel="--enable-kernel=%{enablekernel2} --disable-profile"
CC="$GCC" CFLAGS="$BuildFlags -g -O3" ../configure --prefix=%{_prefix} \
	--enable-add-ons=yes --without-cvs $EnableKernel \
	%{_target_cpu}-redhat-linux
if [ -x /usr/bin/getconf ] ; then
  numprocs=$(/usr/bin/getconf _NPROCESSORS_ONLN)
  if [ $numprocs -eq 0 ]; then
    numprocs=1
  fi
else
  numprocs=1
fi
make -j$numprocs -r CFLAGS="$BuildFlags -g -O3" PARALLELMFLAGS=-s
mkdir -p $RPM_BUILD_ROOT/lib/%{_target_cpu}/
cp -a libc.so $RPM_BUILD_ROOT/lib/%{_target_cpu}/`basename $RPM_BUILD_ROOT/lib/libc-*.so`
ln -sf `basename $RPM_BUILD_ROOT/lib/libc-*.so` $RPM_BUILD_ROOT/lib/%{_target_cpu}/`basename $RPM_BUILD_ROOT/lib/libc.so.*`
cp -a math/libm.so $RPM_BUILD_ROOT/lib/%{_target_cpu}/`basename $RPM_BUILD_ROOT/lib/libm-*.so`
ln -sf `basename $RPM_BUILD_ROOT/lib/libm-*.so` $RPM_BUILD_ROOT/lib/%{_target_cpu}/`basename $RPM_BUILD_ROOT/lib/libm.so.*`
cp -a linuxthreads/libpthread.so $RPM_BUILD_ROOT/lib/%{_target_cpu}/`basename $RPM_BUILD_ROOT/lib/libpthread-*.so`
ln -sf `basename $RPM_BUILD_ROOT/lib/libpthread-*.so` $RPM_BUILD_ROOT/lib/%{_target_cpu}/`basename $RPM_BUILD_ROOT/lib/libpthread.so.*`
strip -R .comment $RPM_BUILD_ROOT/lib/{libc,libm,libpthread}-*.so
cd ..
%endif

# compatibility hack: this locale has vanished from glibc, but some other
# programs are still using it. Normally we would handle it in the %pre
# section but with glibc that is simply not an option
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/locale/ru_RU/LC_MESSAGES

# Remove the files we don't want to distribute
rm -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libNoVersion*
%ifarch sparc64 ia64 s390 s390x
rm -f $RPM_BUILD_ROOT/%{_lib}/libNoVersion*
%endif

# the man pages for the linuxthreads require special attention
make -C linuxthreads/man
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
install -m 0644 linuxthreads/man/*.3thr $RPM_BUILD_ROOT%{_mandir}/man3
bzip2 -9f $RPM_BUILD_ROOT%{_mandir}/man3/*

if [ -d $RPM_BUILD_ROOT%{_prefix}/info -a "%{_infodir}" != "%{_prefix}/info" ]; then
    mkdir -p $RPM_BUILD_ROOT%{_infodir}
    mv -f $RPM_BUILD_ROOT%{_prefix}/info/* $RPM_BUILD_ROOT%{_infodir}
    rm -rf $RPM_BUILD_ROOT%{_prefix}/info
fi

bzip2 -9f $RPM_BUILD_ROOT%{_infodir}/libc*

ln -sf libbsd-compat.a $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libbsd.a

install -m 644 redhat/nsswitch.conf $RPM_BUILD_ROOT/etc/nsswitch.conf

# Take care of setuids
# -- new security review sez that this shouldn't be needed anymore
#chmod 755 $RPM_BUILD_ROOT%{_prefix}/libexec/pt_chown

# This is for ncsd - in glibc 2.2
install -m 644 nscd/nscd.conf $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 nscd/nscd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/nscd

# useless and take place
rm -rf %buildroot/%{_datadir}/zoneinfo/{posix,right}

# Don't include ld.so.cache
rm -f $RPM_BUILD_ROOT/etc/ld.so.cache

# Include ld.so.conf
> $RPM_BUILD_ROOT/etc/ld.so.conf
chmod 644 $RPM_BUILD_ROOT/etc/ld.so.conf

# Hardlink identical locale files together
ALL_LC="LC_ADDRESS LC_COLLATE LC_CTYPE LC_IDENTIFICATION LC_MEASUREMENT \
	LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE LC_TIME \
	LC_MESSAGES/SYS_LC_MESSAGES"
for i in $RPM_BUILD_ROOT%{_prefix}/lib/locale/*; do
  if [ ! -d $i ]; then continue; fi
  for j in $ALL_LC; do
    for k in $RPM_BUILD_ROOT%{_prefix}/lib/locale/*; do
      if [ ! -d $k ]; then continue; fi
      if [ $i = $k ]; then break; fi
      if cmp -s $i/$j $k/$j; then ln -f $k/$j $i/$j; break; fi
    done
  done
done

# BUILD THE FILE LIST
find $RPM_BUILD_ROOT -type f -or -type l |
	sed -e 's|.*/etc|%config &|' -e 's|.*/gconv/gconv-modules|%config &|' > rpm.filelist.in
for n in %{_prefix}/share %{_prefix}/include %{_prefix}/lib/locale; do 
    find ${RPM_BUILD_ROOT}${n} -type d | \
	grep -v '^%{_prefix}/share$' | \
	sed "s/^/%dir /" >> rpm.filelist.in
done

# primary filelist
sed "s|$RPM_BUILD_ROOT||" < rpm.filelist.in | 
	grep -v '/etc/localtime'  | \
	grep -v '/etc/nsswitch.conf'  | \
	grep -v '/etc/ld.so.conf'  | \
	sort > rpm.filelist

grep '%{_prefix}/%{_lib}/lib.*_p\.a' < rpm.filelist > profile.filelist

egrep "(%{_prefix}/include)|(%{_infodir})" < rpm.filelist | 
	grep -v %{_infodir}/dir > devel.filelist

mv rpm.filelist rpm.filelist.full
grep -v '%{_prefix}/%{_lib}/lib.*_p.a' rpm.filelist.full | 
	egrep -v "(%{_prefix}/include)|(%{_infodir})" > rpm.filelist

grep '%{_prefix}/%{_lib}/lib.*\.a' < rpm.filelist >> devel.filelist
grep '%{_prefix}/%{_lib}/.*\.o' < rpm.filelist >> devel.filelist
grep '%{_prefix}/%{_lib}/lib.*\.so' < rpm.filelist >> devel.filelist
#grep '%{_mandir}' < rpm.filelist >> devel.filelist
perl -p -i -e 's|^%dir %{_infodir}$||' devel.filelist
perl -p -i -e 's|^%dir %{_includedir}$||' devel.filelist

mv rpm.filelist rpm.filelist.full
grep -v '%{_prefix}/%{_lib}/lib.*\.a' < rpm.filelist.full |
	grep -v '%{_prefix}/%{_lib}/.*\.o' |
	grep -v '%{_prefix}/%{_lib}/lib.*\.so'|
	grep -v '%{_mandir}' | 
	grep -v 'nscd' > rpm.filelist

# /etc/localtime - we're proud of our timezone
rm -f $RPM_BUILD_ROOT/etc/localtime
cp -f $RPM_BUILD_ROOT%{_prefix}/share/zoneinfo/US/Eastern $RPM_BUILD_ROOT/etc/localtime
#ln -sf ..%{_prefix}/share/zoneinfo/US/Eastern $RPM_BUILD_ROOT/etc/localtime

# the last bit: more documentation
rm -rf documentation
mkdir documentation
cp linuxthreads/ChangeLog  documentation/ChangeLog.threads
cp linuxthreads/Changes documentation/Changes.threads
cp linuxthreads/README documentation/README.threads
cp linuxthreads/FAQ.html documentation/FAQ-threads.html
cp -r linuxthreads/Examples documentation/examples.threads
cp crypt/README.ufc-crypt documentation/README.ufc-crypt
cp timezone/README documentation/README.timezone
cp ChangeLog* documentation
gzip -9 documentation/ChangeLog*

%find_lang libc

EXCLUDE_FROM_STRIP="ld-%{version}.so libpthread-0.9.so"
export EXCLUDE_FROM_STRIP

%define upgradestamp /lib/glibc.upgraded
%define broken_link /lib/libnss_nis.so.1 /lib/libnss_files.so.1 /lib/libnss_dns.so.1 /lib/libnss_compat.so.1

%pre -p /sbin/sash
if [ ! -f /lib/libnss_files-%{version}.so ]; then echo > %{upgradestamp}; fi

%post
/sbin/ldconfig

if [ "$1" -ge 1 ]; then
  # On upgrade the services doesn't work because libnss couldn't be
  # loaded anymore.
  if [ -f %{upgradestamp} ]; then
    echo "Restarting all the services of this run level"
    cd /var/lock/subsys
    for subsys in *; do
  	  # Check if the script is there.
  	  [ ! -f $subsys ] && continue

          # Exceptions
          case $subsys in
            netfs|pcmcia|network) continue;;
          esac

  	  # Bring the subsystem down.
  	  if [ -f /etc/rc.d/init.d/$subsys.init ]; then
  	      /etc/rc.d/init.d/$subsys.init restart || :
  	  else
  	      /etc/rc.d/init.d/$subsys restart || :
  	  fi
    done
  fi

  for i in %broken_link;do
		if [ -e $i ] && [ ! -L $i ];then
				rm -f $i
		fi
  done


fi

rm -f %{upgradestamp}

%postun -p /sbin/ldconfig

%post devel
%_install_info libc.info

%pre devel
# this used to be a link and it is causing nightmares now
if [ -L /usr/include/scsi ] ; then
    rm -f /usr/include/scsi
fi

%preun devel
%_remove_install_info libc.info

%post -n nscd
/sbin/chkconfig --add nscd

%preun -n nscd
if [ $1 = 0 ] ; then
    /sbin/chkconfig --del nscd
fi

%postun -n nscd
if [ "$1" -ge "1" ]; then
    service nscd condrestart > /dev/null 2>&1 || :
fi

%clean
rm -rf "$RPM_BUILD_ROOT"
rm -f *.filelist*

%files -f libc.lang
%defattr(-,root,root)
%verify(not md5 size mtime) %config(noreplace) %_sysconfdir/localtime
%verify(not md5 size mtime) %config(noreplace) %_sysconfdir/nsswitch.conf
%verify(not md5 size mtime) %config(noreplace) %_sysconfdir/ld.so.conf
%config(noreplace) /etc/rpc
/usr/lib/gconv/*
/usr/libexec/*
/lib/*
%_bindir/*
%_sbindir/rpcinfo
%_sbindir/zdump
%_sbindir/zic
%dir %_datadir/i18n/
%_datadir/i18n/*
%_datadir/locale/locale.alias
%dir %_datadir/zoneinfo/
%_datadir/zoneinfo/*

%files -n ldconfig
%defattr(-,root,root)
/sbin/ldconfig
%{_mandir}/man8/ldconfig*

%files -f devel.filelist devel
%defattr(-,root,root)
%doc README NEWS INSTALL FAQ BUGS NOTES PROJECTS CONFORMANCE
%doc COPYING COPYING.LIB
%doc documentation/* README.libm
%doc hesiod/README.hesiod
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/man8/ld.so*
%{_mandir}/man8/rpcinfo*

%files -f profile.filelist profile
%defattr(-,root,root)

%files -n nscd
%defattr(-,root,root)
%config(noreplace) %_sysconfdir/nscd.conf
%config(noreplace) %_sysconfdir/rc.d/init.d/nscd
%_sbindir/nscd
%_sbindir/nscd_nischeck

%changelog
* Thu Mar 20 2003 Vincent Danen <vdanen@mandrakesoft.com> 2.2.2-8.2mdk
- security update for 8.0

* Tue Sep 17 2002 Vincent Danen <vdanen@mandrakesoft.com> 2.2.2-8.1mdk
- security update for 8.0 (RPC stuff)

* Thu Aug 08 2002 Vincent Danen <vdanen@mandrakesoft.com> 2.2.2-7.1mdk
- security update for 8.0

* Mon Dec 17 2001 Vincent Danen <vdanen@mandrakesoft.com> 2.2.2-6.1mdk
- security update for 8.0

* Sun Apr 22 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.2-5mdk
- Upgrade to the rh version of glibc (pre 2.2.3 with fixes).
- This release fix Oracle and JVM problems.

* Wed Feb 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.2-4mdk
- Exclude libpthread to be stripped also.

* Tue Feb 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.2-3mdk
- Define PATH_VI to /bin/vi and not /usr/bin/vi.

* Sat Feb 17 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.2-2mdk
- Add a __truncate64 for 64 bytes arch.
- Add updated patch from pablo for the new charsets.

* Fri Feb 16 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.2-1mdk
- 2.2.2.

* Tue Feb  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.1-7mdk
- Add new charsets from pablo.

* Wed Jan 31 2001 Francis Galiegue <fg@mandrakesoft.com> 2.2.1-6mdk
- Now compiles on ia64

* Sat Jan 27 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.1-5mdk
- PPC: rebuild with GCC 2.95.3
- PPC: use lower but safer optimizations

* Fri Jan 19 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.1-4mdk
- PPC: use default optimizations

* Mon Jan 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.1-3mdk
- Don't restart the network subsystem service also.

* Mon Jan 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.1-2mdk
- Get the getaddrinfo fix from cvs.

* Mon Jan 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.1-1mdk
- Don't restart pcmcia service when upgrading.
- 2.2.1.

* Wed Jan 10 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2-22mdk
- added support for all the extra charsets so iconv() can convert
  between them

* Tue Dec 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2-21mdk
- Default without kernel-2.4 (silly me).

* Tue Dec 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2-20mdk
- Compile by default with kernel-2.4. enabled (but make it as option).

* Thu Dec  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2-18mdk
- Remove useless timezone/{posix,right}.

* Wed Dec  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2-17mdk
- Don't include useless /sbin/sln.

* Wed Dec  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2-16mdk
- Revert to sash like before.

* Tue Dec  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2-15mdk
- Make script executed thought /bin/ash.static and don't depend of bash.

* Tue Dec  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2-14mdk
- Make /usr/share/locale default locale path.

* Sat Dec  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2-13mdk
- Move ldconfig to his own package.

* Tue Nov 28 2000 David BAUDENS <baudens@mandrakesoft.com> 2.2-12mdk
- Adjust BuildFlags for GCC-2.96 (PPC)

* Sun Nov 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2-11mdk
- Remove zic manpages conflicts.

* Sat Nov 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2-10mdk
- New manpages from Debian.
- Include everything in zoneinfo/ dir not only [A-Z]* (fix tzselect).
- Don't launch ldconfig if we find DURING_INSTALL env.

* Sat Nov 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2-9mdk
- Fix ldconfig with soname (libc-hackers@).

* Thu Nov 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2-8mdk
- Provides: Obsoletes: ld.so ldconfig, add ldconfig from glibc.

* Wed Nov 22 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.2-7mdk
- get compiled on alpha. (Stefan.)

* Wed Nov 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2-6mdk
- Don't include %%{_includedir} and %%{_infodir} in the file list.
- Put libpcprofile.so libmemusage.so to devel package.
- Fix syntax error in script (thnks: fcrozat).
- Merge debian patch :
  o (glibc-2.2-nss-upgrade.patch.bz2)
	This patch makes future upgrades easier. It resolves problems with
    running daemons having NSS modules upgraded out from under them.

* Mon Nov 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2-5mdk
- If we find broken link after install erase it to make ldconfig
  happy.

* Thu Nov 16 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.2-4mdk
- don't strip ld-2.2.so

- use sash in %%pre because bash needs the libc...
- don't resart netfs on upgrade.

* Tue Nov 14 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.2-3mdk
- added a prereq on /bin/sh.

* Fri Nov 10 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.2-2mdk
- don't abort if a service doesn't restart

* Fri Nov 10 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.2-1mdk
- 2.2
- try to restart the services on upgrade.

* Wed Nov 08 2000 David BAUDENS <baudens@mandrakesoft.com> 2.1.97-4mdk
- Try to optimize for PPC

* Tue Nov 07 2000 David BAUDENS <baudens@mandrakesoft.com> 2.1.97-3mdk
- Fix build on PPC (don't try to use gcc-2.96)

* Tue Nov  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.97-2mdk
- devel package depends on glibc %%version-%%release
- fixed the __sysconf function not present in dynamic lib.

* Tue Nov  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.97-1mdk
- 2.1.97

* Thu Oct 26 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.95-3mdk
- removed dependency on basesystem (this was doing a prereq loop).

* Wed Oct 25 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.95-2mdk
- changed the Prereq basesystem in Requires.
- added Prereq on /sbin/ldconfig

* Wed Oct 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.95-1mdk
- 2.1.95.

* Tue Oct 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.92-2mdk
- Fix "warning: pointer of type `void *' used in arithmetic" in string2.h.
- Fix pthreads manpages.
- Use @ifnottex instead of @ifinfo in texinfo files.
- Add BIG5_1984 eo_EO locales.
- Make ldd non-executable aware.
- Define VARDB in /var/lib/misc like FHS want.
- Fix some C++ unaligned traps on alpha.
- Add patches from Debian.

* Tue Oct 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.92-1mdk
- 2.1.92.

* Tue Oct 10 2000 David BAUDENS <baudens@mandrakesoft.com> 2.1.3-17mdk
- BuildRequires: patch, gettext

* Mon Sep  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.3-16mdk
- Get another security fix from cvs for locales.
- Remove security patch from caldera and get the official one from cvs.

* Sat Sep  2 2000 Pixel <pixel@mandrakesoft.com> 2.1.3-15mdk
- move a hell lot of doc to glibc-devel
- use find_lang for mo files
- little cleanup

* Wed Aug 30 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.3-14mdk
- Strip glibc and make happy pixel (aka: his breaking my di**k).

* Fri Aug 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.3-13mdk
- Add security patch from caldera on ld.so :
    Remove completely the environement variable when using LD_PRELOAD
    with setuid apps.

* Thu Aug 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.3-12mdk
- Readd manpages.

* Wed Aug  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.3-11mdk
- Don't strip libc.
- Fix info files.

* Fri Jul 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.3-10mdk
- Maros.
- BM.

* Fri Jul 07 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.3-9mdk
- The threads fix is a wrong patch.

* Thu Jul  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.3-8mdk
- Remove old ChangLog.
- Fix threads (Debian).

* Wed Jun 14 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 2.1.3-7mdk
- added support for a few missing charsets

* Sat Jun  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.3-6mdk
- Make ldd handle non-executable shared objects.
- Fix some C++ unaligned traps on alpha.

* Fri May  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.3-5mdk
- Fix threads.

* Tue Apr 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.3-4mdk
- Fix bad ucontext.h headers conflicts with  ncurses and others library.
- removed iso3166.tab and posixrules from %files section, they are already
  in the filelist (Stefan van der Eijk <s.vandereijk@chello.nl>).
- fix alpha build.

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 2.1.3-3mdk
- i486 fix
- Comment BuildRequires: egcs (not needed; see 2.1.3-1mdk)

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.3-2mdk
- Merge the Adam Lesback <adam@mandrakesoft.com> powerpc change.

* Thu Mar 30 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.3-1mdk
- Recompile with gcc2.95 and get optimisations back.
- Merge rh patchs.
- Clean-up specs.
- Adjust groups.

* Tue Mar  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.3-0.2mdk
- Compile with egcs.
- glibc2.1.3 final.
- Merge with last rh patchs.

* Thu Feb 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.3-0.1mdk
- Forget also the Serial:.
- Forget the release scheme.

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.3-1mdk
- 2.1.3 from CVS.
- Getting the glibc like redhat does (from cvs).
- Spec rewrite.

* Wed Dec 15 1999 Frederic Lepied <flepied@kenobi.mandrakesoft.com>
- add patch for malloc (rd)

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add from pablo catalan locales.
- Bzip2 manpages.

* Sat Oct 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Last CVS snapshot.

* Thu Oct 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix stupid thing in %files (thanks pablo).
- Remove glibc-localedata

* Sun Oct 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Last CVS snapshot.
- Clean-up of specfile.

* Mon Oct 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add pixel patch to don't lie about k6 optimisations.

* Mon Oct 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add serial

* Fri Oct  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add Pablo (AKA: Mri18n) patch :
    - Support of new encodages in /usr/lib/gconv).
- Merge with rh patch and others.
- Update to snapshot 2.1.3 but keep the version to 2.1.2.
- disable some extra debugging messages form alpha/ioperm.c
- make /etc/localtime a real file instead of a symlink
- add sys/raw.h as anew header file.(rh)
- add the vfork patch for linuxthreads.(rh)

* Thu Sep 09 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.1.2final (mainly bug fixes)

* Wed Aug 26 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.1.2

* Fri Jul 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- moved locales data to separate package; don't make compilated
  locales (that will be better on separate locales-$LANG
  packages, one for language, more accurate and more numerous); so people
  can choose not to install those, or install exactly those they want.
  glibc-localedata is only needed if you want to manually build locales
  definitions.

* Fri Jul 09 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix wrong install entry in dir info files (Patch50).

* Fri Jul  9 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 2.1.1final
- add Debian fixes
- enable SMP build

* Wed May 19 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 2.1.1pre3

* Fri Apr 30 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS better

* Wed Apr 14 1999 Cristian Gafton <gafton@redhat.com>
- new CVS update - some patches dropped out
- updated obsoletes tag lines
- patch for the ukraine support

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- add patch for libstdc++ 2.7.2 (enable __dup, __pipe and __waitpid)
- linuxthread patch from HJLu
- add patch to make nscd respond to SIGHUP by dumping the cache

* Wed Apr 07 1999 Cristian Gafton <gafton@redhat.com>
- updated from cvs tree
- add patch for fstatvfs from HJLu

* Thu Apr 01 1999 Cristian Gafton <gafton@redhat.com>
- opentty fix
- don't call lddlibc4 on sparcs

* Thu Mar 25 1999 Cristian Gafton <gafton@redhat.com>
- version 2.1.1
- make nscd run by default at init
- nscd subpackage
- let the subpackages autoreq their own thing

* Fri Mar 12 1999 Cristian Gafton <gafton@redhat.com>
- version 2.1
- strip binaries installed by default

* Thu Feb 18 1999 Cristian Gafton <gafton@redhat.com>
- updated snapshot
- glibc-crypt might have export problems (who knows?), so we are nosource
  iit for now

* Wed Feb 03 1999 Cristian Gafton <gafton@redhat.com>
- version 2.0.112
- merge glibc-debug into glibc-devel
- new compat add-on

* Wed Jan 13 1999 Cristian Gafton <gafton@redhat.com>
- new glibc-crypt add-on
- version 2.0.109
- handle /etc/localtime separately
- don't include /usr/share in the file list
- don not build glibc-compat on the arm

* Wed Dec 02 1998 Cristian Gafton <gafton@redhat.com>
- build ver 2.0.105 on all four arches
- enabled /usr/include/scsi as part of the glibc package

* Fri Oct 02 1998 Cristian Gafton <gafton@redhat.com>
- first build for 2.0.96
